%define _name   streamtuner2

Name:           streamtuner
Version:        2.1.3
Release:        alt1_1
Summary:        An internet radio browser
Group:          Sound
License:        Public Domain
URL:            http://sourceforge.net/projects/streamtuner2/
Source0:        http://downloads.sf.net/streamtuner2/streamtuner2-%{version}.src.txz
Requires:       pygtk2
Requires:       audacious
Requires:       perl
Requires:       xterm
# required for youtube record
Requires:       youtube-dl

BuildRequires:  findutils desktop-file-utils
BuildRequires:  python-devel
BuildArch:      noarch
Obsoletes:      streamtuner-devel

# Patches
Patch0:         streamtuner2-default-config-desktop-file.patch
Source44: import.info

%description
Streamtuner lists radio directory services like Shoutcast, Xiph, Live365, 
MyOggRadio, Jamendo. It allows listening via any audio player and recording of
streams via streamripper.
This is streamtuner2 which mimics the older streamtuner 0.99.99 application
in look and feel. But it's an independent rewrite and runs on Python;
is therefore easier to extend.

%prep
%setup -qn %{_name}
# add newline at end of file to make patching easier
echo >> streamtuner2.desktop
%patch0 -p1 -b .default-config-desktop-file

%build

%install
%{__install} -Dpm 755 st2.py %{buildroot}/%{_bindir}/%{_name}
%{__install} -Dpm 644 %{_name}.desktop %{buildroot}/%{_datadir}/applications/%{_name}.desktop
%{__install} -Dpm 644 logo.png %{buildroot}/%{_datadir}/pixmaps/%{_name}.png

%{__mkdir} %{buildroot}/%{_datadir}/%{_name}
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png" -or -name "*.xml"`
for f in $files
    do install -pm 644 $f %{buildroot}/%{_datadir}/%{_name}/
done

# Permission correction
%{__chmod} 0755 %{buildroot}/%{_datadir}/%{_name}/st2.py

# Gnome help browser
%{__mkdir} -p %{buildroot}%{_datadir}/doc/%{_name}/help
%{__cp} -rp help %{buildroot}%{_datadir}/doc/%{_name}

# Channels
%{__mkdir} %{buildroot}/%{_datadir}/%{_name}/channels
pushd channels
files=`find . -maxdepth 1 -type f -name "*.py*" -or -name "*.png"`
for f in $files
    do install -pm 644 $f %{buildroot}/%{_datadir}/%{_name}/channels/
done
popd

# Bundle kronos as it doesn't exist in the repo
%{__mkdir} %{buildroot}/%{_datadir}/%{_name}/bundle/
pushd bundle
install -pm 644 kronos.py %{buildroot}/%{_datadir}/%{_name}/bundle/
popd

# Fix encoding issues
for file in README; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

sed -i -e 's/^Value=/Version=/g' %{buildroot}%{_datadir}/applications/%{_name}.desktop

# install man file
install -Dpm 644 help/streamtuner2.1 %{buildroot}%{_mandir}/man1/streamtuner2.1

desktop-file-install                         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Audio                       \
  --add-category Tuner                       \
  --add-category GTK                         \
  --delete-original                          \
  %{buildroot}%{_datadir}/applications/%{_name}.desktop
  
%files
%doc README
%{_bindir}/%{_name}
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/pixmaps/%{_name}.png
%{_datadir}/%{_name}/
%{_datadir}/doc/%{_name}/
%{_mandir}/man1/streamtuner2.1.*

%changelog
* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.1.3-alt1_1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_5
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.8-alt1_12
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.8-alt1_11
- initial fc import

